﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Xml;
using System.Xml.Schema;

namespace xmldocument
{
    class Program
    {
        static void Main(string[] args)
        {
            XmlReaderSettings settings = new XmlReaderSettings();
            settings.ValidationType = ValidationType.Schema;
            settings.ValidationFlags = XmlSchemaValidationFlags.ProcessSchemaLocation;
            XmlReader reader = XmlReader.Create("boek.xml", settings);
            XmlDocument doc = new XmlDocument();
            doc.Load(reader);
            XmlNode root = doc.DocumentElement;
            XmlElement boek = doc.CreateElement("boek","http://beta.ua.ac.be/boek.xsd");
            XmlAttribute attrId = doc.CreateAttribute("id");
            attrId.Value = "id03";
            boek.Attributes.Append(attrId);
            XmlAttribute attrTaal = doc.CreateAttribute("taal");
            attrTaal.Value = "nl";
            boek.Attributes.Append(attrTaal);
            XmlElement titel = doc.CreateElement("titel", "http://beta.ua.ac.be/boek.xsd");
            titel.InnerText = "Omtrent Deedee";
            boek.AppendChild(titel);
            XmlElement prijs = doc.CreateElement("prijs", "http://beta.ua.ac.be/boek.xsd");
            prijs.InnerText = "10.5";
            boek.AppendChild(prijs);
            XmlElement oplage = doc.CreateElement("oplage", "http://beta.ua.ac.be/boek.xsd");
            oplage.InnerText = "1000";
            boek.AppendChild(oplage);
            root.InsertBefore(boek,root.ChildNodes[0]);
            doc.Save(Console.Out);
        }
    }
}
